Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jws
Annotation Type WebResult

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface WebResult

Customizes the mapping of the return value to a WSDL part and XML element.

Optional Element Summary
`boolean` | `header` If true, the result is pulled from a message header rather then the message body.
`String` | `name` Name of return value.
`String` | `partName` The name of the wsdl:part representing this return value.
`String` | `targetNamespace` The XML namespace for the return value.

### name

    public abstract String name

  Name of return value.

  If the operation is rpc style and @WebResult.partName has not been specified, this is the name of the wsdl:part representing the return value.
  If the operation is document style or the return value maps to a header, this is the local name of the XML element representing the return value.

  Default:
    ""

### partName

    public abstract String partName

  The name of the wsdl:part representing this return value.

  This is only used if the operation is rpc style, or if the operation is document style and the parameter style is BARE.

  Since:
    2.0
  Default:
    ""

### targetNamespace

    public abstract String targetNamespace

  The XML namespace for the return value.

  Only used if the operation is document style or the return value maps to a header. If the target namespace is set to "", this represents the empty namespace.

  Default:
    ""

### header

    public abstract boolean header

  If true, the result is pulled from a message header rather then the message body.

  Since:
    2.0
  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.